Difference between revisions of "Draft DelPoint/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
 
(10 intermediate revisions by 2 users not shown)
Line 11: Line 11:
 
{{GuiCommand/fr
 
{{GuiCommand/fr
 
|Name=Draft DelPoint
 
|Name=Draft DelPoint
|Name/fr=Supprimer un point Draft
+
|Name/fr=Draft Supprimer un point
|Workbenches=[[Draft Module/fr|Atelier Draft]], [[Arch Module/fr|Atelier Arch]]
+
|Workbenches=[[Draft Module/fr|Draft]], [[Arch Module/fr|Arch]]
 
|MenuLocation=Draft → Supprimer un point
 
|MenuLocation=Draft → Supprimer un point
|Shortcut=
+
|SeeAlso=[[Draft AddPoint/fr|Draft Ajouter un point]], [[Draft Edit/fr|Draft Editer]]
|SeeAlso=[[Draft AddPoint/fr|Ajouter un point Draft]], [[Draft Edit/fr|Editer Draft]]
 
 
}}
 
}}
  
 
==Description==
 
==Description==
  
Cet outil, vous permet de retirer des points présents sur des [[Draft_Wire/fr|Fils (Wire)]] et des [[Draft_BSpline/fr|BSplines]].
+
L'outil {{Button|[[Image:Draft DelPoint.svg|16px]] [[Draft DelPoint/fr|Draft Supprimer un point]]}} vous permet de supprimer des points de {{Button|[[Image:Draft_Wire.svg|16px]] [[Draft Wire/fr|Draft Fils]]}} et [[Image:Draft_BSpline.svg|16px]] [[Draft BSpline/fr|Draft BSplines]].
  
La contrepartie de cet outil est l'opération [[Draft AddPoint/fr|Ajouter un point Draft]].
+
La contrepartie de cet outil est l'opération {{Button|[[Image:Draft AddPoint.svg|16px]] [[Draft AddPoint/fr|Draft Ajouter un point]]}}.
  
 
==Utilisation==
 
==Utilisation==
  
# Sélectionnez un [[Draft_Wire/fr|Fil (Wire)]] ou une [[Draft_BSpline/fr|BSplines]].
+
# Sélectionnez un [[Draft_Wire/fr|Fil (Wire)]] ou une [[Draft_BSpline/fr|BSplines]]. Remarque: l'outil est désactivé si aucun objet n'est sélectionné.
# Appuyez sur le bouton {{Button|[[Image:Draft DelPoint.svg|16px]] [[Draft DelPoint/fr|Supprimer un point Draft]]}}.
+
# Appuyez sur le bouton {{Button|[[Image:Draft DelPoint.svg|16px]] [[Draft DelPoint/fr|Draft Supprimer un point]]}}.
 
# Cliquez sur un point de l'objet.
 
# Cliquez sur un point de l'objet.
 
# Appuyez sur {{KEY|Echapp}} ou sur le bouton {{Button|Fermer}} pour terminer l'opération: les points déjà supprimés disparaîtront.
 
# Appuyez sur {{KEY|Echapp}} ou sur le bouton {{Button|Fermer}} pour terminer l'opération: les points déjà supprimés disparaîtront.
Line 69: Line 68:
 
}}
 
}}
  
{{Draft Tools navi/fr}}
 
 
{{Userdocnavi/fr}}
 
 
{{clear}}
 
{{clear}}
 +
{{Draft Tools navi{{#translation:}}}}
 +
{{Userdocnavi{{#translation:}}}}

Latest revision as of 08:48, 22 February 2020

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente : Draft AddPoint.svg Ajouter un point
Page suivante : Projection 2D d'une forme Draft Shape2DView.svg Arrow-right.svg

Draft DelPoint.svg Draft Supprimer un point

Emplacement du menu
Draft → Supprimer un point
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Draft Ajouter un point, Draft Editer


Description

L'outil Draft DelPoint.svg Draft Supprimer un point vous permet de supprimer des points de Draft Wire.svg Draft Fils et Draft BSpline.svg Draft BSplines.

La contrepartie de cet outil est l'opération Draft AddPoint.svg Draft Ajouter un point.

Utilisation

  1. Sélectionnez un Fil (Wire) ou une BSplines. Remarque: l'outil est désactivé si aucun objet n'est sélectionné.
  2. Appuyez sur le bouton Draft DelPoint.svg Draft Supprimer un point.
  3. Cliquez sur un point de l'objet.
  4. Appuyez sur Echapp ou sur le bouton Fermer pour terminer l'opération: les points déjà supprimés disparaîtront.

Cette fonctionnalité est également disponible à partir de l'outil Draft Edit.svg Editer Draft.

Options

Les options de cet outil sont décrites dans Draft Edit.svg Editer Draft.

Script

Voir aussi: Draft API et FreeCAD scripts de base.

Aucune interface de programmation n'est disponible pour l'outil Supprimer un point. Toutefois, la suppression de points est simple.

L'attribut Points d'un fil ou d'une spline est une liste de points qui composent cet objet. Pour ajouter des points, remplacez cet attribut par une liste de points plus longue. Vous pouvez utiliser des méthodes telles que append() et insert() pour ajouter un nouvel élément à la position souhaitée dans la liste. Chaque point est défini par son FreeCAD.Vector, en unités en millimètres.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(-1000, 400, 0)
p2 = FreeCAD.Vector(1500, -1500, 0)
p3 = FreeCAD.Vector(2200, 1000, 0)

wire = Draft.makeWire([p1, p2, p3])
points = wire.Points
points.pop(1)

wire.Points = points
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente : Draft AddPoint.svg Ajouter un point
Page suivante : Projection 2D d'une forme Draft Shape2DView.svg Arrow-right.svg